#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 16. Networking Utilities

- Prev

  NetworkManager-1.34.0

- Next

  Nmap-7.92

- Up
- Home

# network-manager-applet-1.24.0

## Introduction to NetworkManager Applet

The NetworkManager Applet provides a tool and a panel applet used to configure wired and wireless network connections through GUI. It's designed for use with any desktop environment that uses GTK+, such as Xfce and LXDE.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/network-manager-applet/1.24/network-manager-applet-1.24.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/network-manager-applet/1.24/network-manager-applet-1.24.0.tar.xz

- Download MD5 sum: 55d4f8cf34b9192ba919ee7423e274d9

- Download size: 1.8 MB

- Estimated disk space required: 47 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### NetworkManager Applet Dependencies

#### Required

GTK+-3.24.31, libnma-1.8.34, libnotify-0.7.9, and libsecret-0.20.5

#### Recommended

gobject-introspection-1.70.0 and ModemManager-1.18.6

#### Required (Runtime)

Since this package uses Polkit-0.120 for authorization, one Polkit Authentication Agent should be running when the functionality of this package is used.

#### Optional

gnome-bluetooth-3.34.5 and libindicator

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/network-manager-applet

## Installation of NetworkManager Applet

First, fix building with newer versions of meson:

    sed -i '/merge_file/{n;d}' meson.build

Install NetworkManager Applet by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr       \
          --buildtype=release \
          -Dappindicator=no   \
          -Dselinux=false     &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dappindicator=no`: This switch disables AppIndicator support in network-manager-applet because it requires libindicator, which is not in BLFS. The build will fail without this option.

`-Dselinux=false`: This switch forcibly disables SELinux support since it is not currently in BLFS and the build will fail without it.

`-Dwwan=false`: This switch disables WWAN support. Use this if you do not have ModemManager-1.18.6 installed.

## Contents

Installed Programs: nm-applet and nm-connection-editor
Installed Libraries: None
Installed Directories: None

### Short Descriptions

nm-connection-editor | allows users to view and edit network connection settings

Last updated on

- Prev

  NetworkManager-1.34.0

- Next

  Nmap-7.92

- Up
- Home